TypeScript
const options = {
method: 'POST',
headers: {
'x-api-version': '<x-api-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({customer_id: 'cus_123', active: true})
};
fetch('https://api.useautumn.com/v1/licenses.list_assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.useautumn.com/v1/licenses.list_assignments"
payload = {
"customer_id": "cus_123",
"active": True
}
headers = {
"x-api-version": "<x-api-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api.useautumn.com/v1/licenses.list_assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--data '
{
"customer_id": "cus_123",
"active": true
}
'{
"list": [
{
"id": "lic_asn_123",
"entity_id": "user_123",
"license_plan_id": "seat_plan",
"started_at": 1759247877000,
"ended_at": null
}
]
}
Licenses
List License Assignments
Lists license assignments for a customer.
POST
/
v1
/
licenses.list_assignments
TypeScript
const options = {
method: 'POST',
headers: {
'x-api-version': '<x-api-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({customer_id: 'cus_123', active: true})
};
fetch('https://api.useautumn.com/v1/licenses.list_assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.useautumn.com/v1/licenses.list_assignments"
payload = {
"customer_id": "cus_123",
"active": True
}
headers = {
"x-api-version": "<x-api-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api.useautumn.com/v1/licenses.list_assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--data '
{
"customer_id": "cus_123",
"active": true
}
'{
"list": [
{
"id": "lic_asn_123",
"entity_id": "user_123",
"license_plan_id": "seat_plan",
"started_at": 1759247877000,
"ended_at": null
}
]
}
Body Parameters
Response
{
"list": [
{
"id": "lic_asn_123",
"entity_id": "user_123",
"license_plan_id": "seat_plan",
"started_at": 1759247877000,
"ended_at": null
}
]
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Response
200 - application/json
OK
Show child attributes
Show child attributes